Megosztás a következőn keresztül:


Exports - Create Or Update

Az exportálás létrehozásához vagy frissítéséhez szükséges művelet. A frissítési művelethez be kell állítani a legújabb eTaget a kérelemben. Lekéréses művelet végrehajtásával beszerezheti a legújabb eTaget. A létrehozási művelethez nem szükséges eTag.

PUT https://management.azure.com/{scope}/providers/Microsoft.CostManagement/exports/{exportName}?api-version=2025-03-01

URI-paraméterek

Name In Kötelező Típus Description
exportName
path True

string

Exportálási név.

scope
path True

string

Az erőforrás teljes Azure Resource Manager-azonosítója.

api-version
query True

string

minLength: 1

A művelethez használandó API-verzió.

Kérelem törzse

Name Kötelező Típus Description
properties.definition True

ExportDefinition

Rendelkezik az exportálás definícióval.

properties.deliveryInfo True

ExportDeliveryInfo

Rendelkezik az exportálás kézbesítési adataival.

eTag

string

Az erőforrás eTagje. Az egyidejű frissítési forgatókönyv kezeléséhez ez a mező határozza meg, hogy a felhasználó frissíti-e a legújabb verziót.

identity

SystemAssignedServiceIdentity

Az Exportáláshoz társított felügyelt identitás

location

string

Az exportálás felügyelt identitásának helye. Csak felügyelt identitás használatakor szükséges.

properties.compressionMode

CompressionModeType

Lehetővé teszi az ügyfelek számára a tömörítési adatok exportáláshoz való kiválasztását. Ez a beállítás futásidőben engedélyezi a célfájl-tömörítési sémát. Alapértelmezés szerint Nincs értékre van állítva. A Gzip csv-hez és snappy-hoz készült a parquethez.

properties.dataOverwriteBehavior

DataOverwriteBehaviorType

Lehetővé teszi az ügyfelek számára, hogy felülírt adatokat (OverwritePreviousReport) válasszanak az exportálásokhoz. Ezzel a beállítással felülírhatja az adatokat ugyanazon hónapra vonatkozóan az ügyfél tárfiókjában. Alapértelmezés szerint a CreateNewReport értékre van állítva.

properties.exportDescription

string

Az ügyfél által az exportálás létrehozása/frissítése során beállított exportálási leírás.

properties.format

FormatType

A kézbesített exportálás formátuma.

properties.partitionData

boolean

Ha igaz értékre van állítva, az exportált adatok mérete szerint particionálva lesznek, és egy blobkönyvtárba kerülnek egy jegyzékfájllal együtt.

properties.runHistory

ExportExecutionListResult

Ha szükséges, az exportálás legutóbbi futtatási előzményei vannak.

properties.schedule

ExportSchedule

Az exportálás ütemezési adataival rendelkezik.

Válaszok

Name Típus Description
200 OK

Export

Az erőforrás 'Export' frissítési művelete sikeres

201 Created

Export

Erőforrás 'Export' létrehozása művelet sikeres

Other Status Codes

ErrorResponse

Váratlan hibaválasz.

Biztonság

azure_auth

Azure Active Directory Oauth2-folyamat.

Típus: oauth2
Folyamat: implicit
Engedélyezési URL: https://login.microsoftonline.com/common/oauth2/authorize

Hatókörök

Name Description
user_impersonation a felhasználói fiók megszemélyesítése

Példák

ExportCreateOrUpdateByBillingAccount
ExportCreateOrUpdateByBillingAccountCustom
ExportCreateOrUpdateByBillingAccountMonthly
ExportCreateOrUpdateByBillingAccountPricesheet
ExportCreateOrUpdateByBillingAccountReservationDetails
ExportCreateOrUpdateByBillingAccountReservationRecommendation
ExportCreateOrUpdateByDepartment
ExportCreateOrUpdateByEnrollmentAccount
ExportCreateOrUpdateByManagementGroup
ExportCreateOrUpdateByResourceGroup
ExportCreateOrUpdateBySubscription
ExportCreateOrUpdateExportCreateOrUpdateByBillingAccountReservationTransactionsByBillingAccount

ExportCreateOrUpdateByBillingAccount

Mintakérelem

PUT https://management.azure.com/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport?api-version=2025-03-01

{
  "identity": {
    "type": "SystemAssigned"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "type": "AzureBlob",
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2020-06-01T00:00:00Z",
        "to": "2020-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

Mintaválasz

{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2020-06-01T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2020-06-01T00:00:00Z",
        "to": "2020-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}
{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2020-06-01T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2020-06-01T00:00:00Z",
        "to": "2020-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

ExportCreateOrUpdateByBillingAccountCustom

Mintakérelem

PUT https://management.azure.com/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport?api-version=2025-03-01

{
  "identity": {
    "type": "SystemAssigned"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timePeriod": {
        "from": "2025-04-03T00:00:00.000Z",
        "to": "2025-04-03T00:00:00.000Z"
      },
      "timeframe": "Custom"
    },
    "deliveryInfo": {
      "destination": {
        "type": "AzureBlob",
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "partitionData": true,
    "schedule": {
      "status": "Inactive"
    }
  }
}

Mintaválasz

{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timePeriod": {
        "from": "2025-04-03T00:00:00Z",
        "to": "2025-04-03T00:00:00Z"
      },
      "timeframe": "Custom"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "partitionData": true,
    "schedule": {
      "recurrence": "None",
      "status": "Inactive"
    }
  }
}
{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timePeriod": {
        "from": "2025-04-03T00:00:00Z",
        "to": "2025-04-03T00:00:00Z"
      },
      "timeframe": "Custom"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "partitionData": true,
    "schedule": {
      "recurrence": "None",
      "status": "Inactive"
    }
  }
}

ExportCreateOrUpdateByBillingAccountMonthly

Mintakérelem

PUT https://management.azure.com/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport?api-version=2025-03-01

{
  "identity": {
    "type": "SystemAssigned"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "TheLastMonth"
    },
    "deliveryInfo": {
      "destination": {
        "type": "AzureBlob",
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "partitionData": true,
    "schedule": {
      "recurrence": "Monthly",
      "recurrencePeriod": {
        "from": "2020-06-05T00:00:00Z",
        "to": "2030-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

Mintaválasz

{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "TheLastMonth"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2020-06-05T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Monthly",
      "recurrencePeriod": {
        "from": "2020-06-05T00:00:00Z",
        "to": "2030-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}
{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "TheLastMonth"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2020-06-05T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Monthly",
      "recurrencePeriod": {
        "from": "2020-06-05T00:00:00Z",
        "to": "2030-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

ExportCreateOrUpdateByBillingAccountPricesheet

Mintakérelem

PUT https://management.azure.com/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport?api-version=2025-03-01

{
  "identity": {
    "type": "SystemAssigned"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "PriceSheet",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "TheCurrentMonth"
    },
    "deliveryInfo": {
      "destination": {
        "type": "AzureBlob",
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2023-06-01T00:00:00Z",
        "to": "2023-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

Mintaválasz

{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "PriceSheet",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "TheCurrentMonth"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2023-06-01T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2023-06-01T00:00:00Z",
        "to": "2023-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}
{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "PriceSheet",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "TheCurrentMonth"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2023-06-01T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2023-06-01T00:00:00Z",
        "to": "2023-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

ExportCreateOrUpdateByBillingAccountReservationDetails

Mintakérelem

PUT https://management.azure.com/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport?api-version=2025-03-01

{
  "identity": {
    "type": "SystemAssigned"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ReservationDetails",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-03-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "type": "AzureBlob",
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2023-06-01T00:00:00Z",
        "to": "2023-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

Mintaválasz

{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ReservationDetails",
      "dataSet": {
        "configuration": {
          "columns": [],
          "dataVersion": "2023-03-01",
          "filters": []
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2023-06-01T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2023-06-01T00:00:00Z",
        "to": "2023-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}
{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ReservationDetails",
      "dataSet": {
        "configuration": {
          "columns": [],
          "dataVersion": "2023-03-01",
          "filters": []
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2023-06-01T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2023-06-01T00:00:00Z",
        "to": "2023-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

ExportCreateOrUpdateByBillingAccountReservationRecommendation

Mintakérelem

PUT https://management.azure.com/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport?api-version=2025-03-01

{
  "identity": {
    "type": "SystemAssigned"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ReservationRecommendations",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01",
          "filters": [
            {
              "name": "ReservationScope",
              "value": "Single"
            },
            {
              "name": "ResourceType",
              "value": "VirtualMachines"
            },
            {
              "name": "LookBackPeriod",
              "value": "Last7Days"
            }
          ]
        }
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "type": "AzureBlob",
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2023-06-01T00:00:00Z",
        "to": "2023-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

Mintaválasz

{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ReservationRecommendations",
      "dataSet": {
        "configuration": {
          "columns": [],
          "dataVersion": "2023-05-01",
          "filters": [
            {
              "name": "ReservationScope",
              "value": "Single"
            },
            {
              "name": "ResourceType",
              "value": "VirtualMachines"
            },
            {
              "name": "LookBackPeriod",
              "value": "Last7Days"
            }
          ]
        },
        "granularity": null
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2023-06-01T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2023-06-01T00:00:00Z",
        "to": "2023-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}
{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ReservationRecommendations",
      "dataSet": {
        "configuration": {
          "columns": [],
          "dataVersion": "2023-05-01",
          "filters": [
            {
              "name": "ReservationScope",
              "value": "Single"
            },
            {
              "name": "ResourceType",
              "value": "VirtualMachines"
            },
            {
              "name": "LookBackPeriod",
              "value": "Last7Days"
            }
          ]
        },
        "granularity": null
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2023-06-01T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2023-06-01T00:00:00Z",
        "to": "2023-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

ExportCreateOrUpdateByDepartment

Mintakérelem

PUT https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12/departments/1234/providers/Microsoft.CostManagement/exports/TestExport?api-version=2025-03-01

{
  "identity": {
    "type": "SystemAssigned"
  },
  "location": "centralus",
  "properties": {
    "format": "Parquet",
    "compressionMode": "snappy",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "type": "AzureBlob",
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2020-06-01T00:00:00Z",
        "to": "2020-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

Mintaválasz

{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/providers/Microsoft.Billing/billingAccounts/12/departments/1234/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Parquet",
    "compressionMode": "snappy",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2020-06-01T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2020-06-01T00:00:00Z",
        "to": "2020-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}
{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/providers/Microsoft.Billing/billingAccounts/12/departments/1234/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Parquet",
    "compressionMode": "snappy",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2020-06-01T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2020-06-01T00:00:00Z",
        "to": "2020-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

ExportCreateOrUpdateByEnrollmentAccount

Mintakérelem

PUT https://management.azure.com/providers/Microsoft.Billing/billingAccounts/100/enrollmentAccounts/456/providers/Microsoft.CostManagement/exports/TestExport?api-version=2025-03-01

{
  "identity": {
    "type": "SystemAssigned"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "type": "AzureBlob",
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2020-06-01T00:00:00Z",
        "to": "2020-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

Mintaválasz

{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/providers/Microsoft.Billing/billingAccounts/100/enrollmentAccounts/456/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2020-06-01T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2020-06-01T00:00:00Z",
        "to": "2020-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}
{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/providers/Microsoft.Billing/billingAccounts/100/enrollmentAccounts/456/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2020-06-01T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2020-06-01T00:00:00Z",
        "to": "2020-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

ExportCreateOrUpdateByManagementGroup

Mintakérelem

PUT https://management.azure.com/providers/Microsoft.Management/managementGroups/TestMG/providers/Microsoft.CostManagement/exports/TestExport?api-version=2025-03-01

{
  "identity": {
    "type": "SystemAssigned"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "type": "AzureBlob",
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2020-06-01T00:00:00Z",
        "to": "2020-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

Mintaválasz

{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/providers/Microsoft.Management/managementGroups/TestMG/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2020-06-01T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2020-06-01T00:00:00Z",
        "to": "2020-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}
{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/providers/Microsoft.Management/managementGroups/TestMG/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2020-06-01T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2020-06-01T00:00:00Z",
        "to": "2020-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

ExportCreateOrUpdateByResourceGroup

Mintakérelem

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.CostManagement/exports/TestExport?api-version=2025-03-01

{
  "identity": {
    "type": "SystemAssigned"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "type": "AzureBlob",
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2020-06-01T00:00:00Z",
        "to": "2020-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

Mintaválasz

{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2020-06-01T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2020-06-01T00:00:00Z",
        "to": "2020-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}
{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2020-06-01T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2020-06-01T00:00:00Z",
        "to": "2020-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

ExportCreateOrUpdateBySubscription

Mintakérelem

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CostManagement/exports/TestExport?api-version=2025-03-01

{
  "identity": {
    "type": "SystemAssigned"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "type": "AzureBlob",
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2020-06-01T00:00:00Z",
        "to": "2020-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

Mintaválasz

{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2020-06-01T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2020-06-01T00:00:00Z",
        "to": "2020-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}
{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ActualCost",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        },
        "granularity": "Daily"
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2020-06-01T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2020-06-01T00:00:00Z",
        "to": "2020-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

ExportCreateOrUpdateExportCreateOrUpdateByBillingAccountReservationTransactionsByBillingAccount

Mintakérelem

PUT https://management.azure.com/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport?api-version=2025-03-01

{
  "identity": {
    "type": "SystemAssigned"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ReservationTransactions",
      "dataSet": {
        "configuration": {
          "dataVersion": "2023-05-01"
        }
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "type": "AzureBlob",
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2023-06-01T00:00:00Z",
        "to": "2023-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

Mintaválasz

{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ReservationTransactions",
      "dataSet": {
        "configuration": {
          "columns": [],
          "dataVersion": "2023-05-01",
          "filters": []
        },
        "granularity": null
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2023-06-01T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2023-06-01T00:00:00Z",
        "to": "2023-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}
{
  "name": "TestExport",
  "type": "Microsoft.CostManagement/exports",
  "eTag": "\"00000000-0000-0000-0000-000000000000\"",
  "id": "/providers/Microsoft.Billing/billingAccounts/123456/providers/Microsoft.CostManagement/exports/TestExport",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-0000-0000-0000-000000000000",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "location": "centralus",
  "properties": {
    "format": "Csv",
    "compressionMode": "gzip",
    "dataOverwriteBehavior": "OverwritePreviousReport",
    "definition": {
      "type": "ReservationTransactions",
      "dataSet": {
        "configuration": {
          "columns": [],
          "dataVersion": "2023-05-01",
          "filters": []
        },
        "granularity": null
      },
      "timeframe": "MonthToDate"
    },
    "deliveryInfo": {
      "destination": {
        "container": "exports",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MYDEVTESTRG/providers/Microsoft.Storage/storageAccounts/ccmeastusdiag182",
        "rootFolderPath": "ad-hoc"
      }
    },
    "exportDescription": "This is a test export.",
    "nextRunTimeEstimate": "2023-06-01T23:00:00Z",
    "partitionData": true,
    "schedule": {
      "recurrence": "Daily",
      "recurrencePeriod": {
        "from": "2023-06-01T00:00:00Z",
        "to": "2023-06-30T00:00:00Z"
      },
      "status": "Active"
    }
  }
}

Definíciók

Name Description
CommonExportProperties

Az exportálás gyakori tulajdonságai.

CompressionModeType

Lehetővé teszi az ügyfelek számára a tömörítési adatok exportáláshoz való kiválasztását. Ez a beállítás futásidőben engedélyezi a célfájl-tömörítési sémát. Alapértelmezés szerint Nincs értékre van állítva. A Gzip csv-hez és snappy-hoz készült a parquethez.

createdByType

Az erőforrást létrehozó identitás típusa.

DataOverwriteBehaviorType

Lehetővé teszi az ügyfelek számára, hogy felülírt adatokat (OverwritePreviousReport) válasszanak az exportálásokhoz. Ezzel a beállítással felülírhatja az adatokat ugyanazon hónapra vonatkozóan az ügyfél tárfiókjában. Alapértelmezés szerint a CreateNewReport értékre van állítva.

DestinationType

Az exportálási célhely típusa. Jelenleg csak az "AzureBlob" támogatott.

ErrorDetails

A hiba részletei.

ErrorResponse

A hibaválasz azt jelzi, hogy a szolgáltatás nem tudja feldolgozni a bejövő kérést. Ennek okát a hibaüzenet adja meg. \n\nNéhány hibaválasz: \n\n * 429 TooManyRequests - A kérés korlátozott. Próbálkozzon újra az "x-ms-ratelimit-microsoft.consumption-retry-after" fejlécben megadott időre való várakozás után. \n\n * 503 ServiceUnavailable - A szolgáltatás ideiglenesen nem elérhető. Próbálkozzon újra az "Újrapróbálkozás után" fejlécben megadott időre való várakozás után.

ExecutionStatus

Az exportálási futtatás utolsó ismert állapota.

ExecutionType

Az exportálási futtatás típusa.

Export

Egy exportálási erőforrás.

ExportDataset

Az exportálásban lévő adatok definíciója.

ExportDatasetConfiguration

Ez az elavulás útján halad, és a jövőben nem támogatott.

ExportDefinition

Az exportálás definíciója.

ExportDeliveryDestination

Ez azt a Blob Storage-fiókhelyet jelöli, ahol a költségek exportálása megtörténik. A célhely kétféleképpen konfigurálható. A legtöbb ügyfél számára ajánlott módszer a tárfiók erőforrás-azonosítójának megadása. Ehhez a fiók előfizetésének egyszeri regisztrációjára van szükség a Microsoft.CostManagementExports erőforrás-szolgáltatónál annak érdekében, hogy a Cost Management-szolgáltatások hozzáférjenek a tárterülethez. Amikor exportálást hoz létre az Azure Portalon, a regisztráció automatikusan megtörténik, de előfordulhat, hogy az API-felhasználóknak explicit módon kell regisztrálniuk az előfizetést (további információ: https://docs.microsoft.com/en-us/azure/azure-resource-manager/resource-manager-supported-services). A célhely konfigurálásának másik módja csak olyan Microsoft PartnerSzerződés-csomaggal rendelkező partnerek számára érhető el, akik a számlázási fiók globális rendszergazdái. Ezek a partnerek a tárfiók resourceId azonosítójának megadása helyett megadhatják a tárfiók nevét és egy SAS-jogkivonatot a fiókhoz. Ez lehetővé teszi a költségek exportálását bármely bérlő tárfiókjába. Az SAS-jogkivonatot létre kell hozni a blobszolgáltatáshoz szolgáltatás-/tároló-/objektum típusú erőforrástípusokkal, valamint olvasási/írási/törlési/listázási/hozzáadási/létrehozási engedélyekkel (további információ: https://docs.microsoft.com/en-us/azure/cost-management-billing/costs/export-cost-data-storage-account-sas-key).

ExportDeliveryInfo

Az exportáláshoz társított szállítási információk.

ExportExecutionListResult

Az exportálás futtatási előzményeinek felsorolása.

ExportRecurrencePeriod

Az ismétlődési ütemezés kezdő és záró dátuma.

ExportRun

Exportálási futtatás.

ExportSchedule

Az exportáláshoz társított ütemezés.

ExportSuspensionContext

Az exportálási futtatás tulajdonságai. Ez jelenleg nincs feltöltve.

ExportTimePeriod

Az exportálásban lévő adatok dátumtartománya. Ezt csak az "Egyéni" időkerettel kell megadni. A maximális dátumtartomány 1 naptári hónap.

ExportType

Az exportálás típusa. Vegye figyelembe, hogy a "Használat" egyenértékű az "ActualCost"-tal, és olyan exportálásokra vonatkozik, amelyek még nem szolgáltatnak adatokat a szolgáltatásfoglalások díjához vagy amortizálásához.

FilterItemNames

A szűrő neve. Ez jelenleg csak a ReservationRecommendations exportálásdefiníciós típusához támogatott. A támogatott nevek a következők: "ReservationScope", "LookBackPeriod", "ResourceType"

FilterItems

A szűrő nevét és értékét fogja tartalmazni. Ez jelenleg csak a ReservationRecommendations exportálásdefiníciós típusához támogatott.

FormatType

A kézbesített exportálás formátuma.

GranularityType

Az exportálás sorainak részletessége. Jelenleg a "Napi" a legtöbb esetben támogatott.

RecurrenceType

Az ütemezés ismétlődése.

StatusType

Az exportálás ütemezésének állapota. Ha "Inaktív", az exportálás ütemezése fel van függesztve. Ha engedélyezni szeretné az exportálást, állítsa be az állapotot aktívra, majd küldjön PUT kérést.

SystemAssignedServiceIdentity

Felügyelt szolgáltatás identitása (vagy rendszer van hozzárendelve, vagy nincs)

SystemAssignedServiceIdentityType

A felügyelt szolgáltatás identitásának típusa (vagy rendszer van hozzárendelve, vagy nincs).

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

TimeframeType

Az exportáláshoz szükséges adatok lekérésének időkerete. Ha egyéni, akkor meg kell adni egy adott időtartamot.

CommonExportProperties

Az exportálás gyakori tulajdonságai.

Name Típus Description
compressionMode

CompressionModeType

Lehetővé teszi az ügyfelek számára a tömörítési adatok exportáláshoz való kiválasztását. Ez a beállítás futásidőben engedélyezi a célfájl-tömörítési sémát. Alapértelmezés szerint Nincs értékre van állítva. A Gzip csv-hez és snappy-hoz készült a parquethez.

dataOverwriteBehavior

DataOverwriteBehaviorType

Lehetővé teszi az ügyfelek számára, hogy felülírt adatokat (OverwritePreviousReport) válasszanak az exportálásokhoz. Ezzel a beállítással felülírhatja az adatokat ugyanazon hónapra vonatkozóan az ügyfél tárfiókjában. Alapértelmezés szerint a CreateNewReport értékre van állítva.

definition

ExportDefinition

Rendelkezik az exportálás definícióval.

deliveryInfo

ExportDeliveryInfo

Rendelkezik az exportálás kézbesítési adataival.

exportDescription

string

Az ügyfél által az exportálás létrehozása/frissítése során beállított exportálási leírás.

format

FormatType

A kézbesített exportálás formátuma.

nextRunTimeEstimate

string (date-time)

Ha az exportálás aktív ütemezéssel rendelkezik, adja meg a következő futtatási idő becslését.

partitionData

boolean

Ha igaz értékre van állítva, az exportált adatok mérete szerint particionálva lesznek, és egy blobkönyvtárba kerülnek egy jegyzékfájllal együtt.

runHistory

ExportExecutionListResult

Ha szükséges, az exportálás legutóbbi futtatási előzményei vannak.

systemSuspensionContext

ExportSuspensionContext

Az exportálás felfüggesztésének oka, ha az exportálás SystemSuspended állapotban van. Ez jelenleg nincs feltöltve.

CompressionModeType

Lehetővé teszi az ügyfelek számára a tömörítési adatok exportáláshoz való kiválasztását. Ez a beállítás futásidőben engedélyezi a célfájl-tömörítési sémát. Alapértelmezés szerint Nincs értékre van állítva. A Gzip csv-hez és snappy-hoz készült a parquethez.

Érték Description
gzip
snappy
none

createdByType

Az erőforrást létrehozó identitás típusa.

Érték Description
User
Application
ManagedIdentity
Key

DataOverwriteBehaviorType

Lehetővé teszi az ügyfelek számára, hogy felülírt adatokat (OverwritePreviousReport) válasszanak az exportálásokhoz. Ezzel a beállítással felülírhatja az adatokat ugyanazon hónapra vonatkozóan az ügyfél tárfiókjában. Alapértelmezés szerint a CreateNewReport értékre van állítva.

Érték Description
OverwritePreviousReport
CreateNewReport

DestinationType

Az exportálási célhely típusa. Jelenleg csak az "AzureBlob" támogatott.

Érték Description
AzureBlob

ErrorDetails

A hiba részletei.

Name Típus Description
code

string

Hibakód.

message

string

A művelet sikertelen voltát jelző hibaüzenet.

ErrorResponse

A hibaválasz azt jelzi, hogy a szolgáltatás nem tudja feldolgozni a bejövő kérést. Ennek okát a hibaüzenet adja meg. \n\nNéhány hibaválasz: \n\n * 429 TooManyRequests - A kérés korlátozott. Próbálkozzon újra az "x-ms-ratelimit-microsoft.consumption-retry-after" fejlécben megadott időre való várakozás után. \n\n * 503 ServiceUnavailable - A szolgáltatás ideiglenesen nem elérhető. Próbálkozzon újra az "Újrapróbálkozás után" fejlécben megadott időre való várakozás után.

Name Típus Description
error

ErrorDetails

A hiba részletei.

ExecutionStatus

Az exportálási futtatás utolsó ismert állapota.

Érték Description
Queued
InProgress
Completed
Failed
Timeout
NewDataNotAvailable
DataNotAvailable

ExecutionType

Az exportálási futtatás típusa.

Érték Description
OnDemand
Scheduled

Export

Egy exportálási erőforrás.

Name Típus Description
eTag

string

Az erőforrás eTagje. Az egyidejű frissítési forgatókönyv kezeléséhez ez a mező határozza meg, hogy a felhasználó frissíti-e a legújabb verziót.

id

string (arm-id)

Az erőforrás teljes erőforrás-azonosítója. Például: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

SystemAssignedServiceIdentity

Az Exportáláshoz társított felügyelt identitás

location

string

Az exportálás felügyelt identitásának helye. Csak felügyelt identitás használatakor szükséges.

name

string

Az erőforrás neve

properties.compressionMode

CompressionModeType

Lehetővé teszi az ügyfelek számára a tömörítési adatok exportáláshoz való kiválasztását. Ez a beállítás futásidőben engedélyezi a célfájl-tömörítési sémát. Alapértelmezés szerint Nincs értékre van állítva. A Gzip csv-hez és snappy-hoz készült a parquethez.

properties.dataOverwriteBehavior

DataOverwriteBehaviorType

Lehetővé teszi az ügyfelek számára, hogy felülírt adatokat (OverwritePreviousReport) válasszanak az exportálásokhoz. Ezzel a beállítással felülírhatja az adatokat ugyanazon hónapra vonatkozóan az ügyfél tárfiókjában. Alapértelmezés szerint a CreateNewReport értékre van állítva.

properties.definition

ExportDefinition

Rendelkezik az exportálás definícióval.

properties.deliveryInfo

ExportDeliveryInfo

Rendelkezik az exportálás kézbesítési adataival.

properties.exportDescription

string

Az ügyfél által az exportálás létrehozása/frissítése során beállított exportálási leírás.

properties.format

FormatType

A kézbesített exportálás formátuma.

properties.nextRunTimeEstimate

string (date-time)

Ha az exportálás aktív ütemezéssel rendelkezik, adja meg a következő futtatási idő becslését.

properties.partitionData

boolean

Ha igaz értékre van állítva, az exportált adatok mérete szerint particionálva lesznek, és egy blobkönyvtárba kerülnek egy jegyzékfájllal együtt.

properties.runHistory

ExportExecutionListResult

Ha szükséges, az exportálás legutóbbi futtatási előzményei vannak.

properties.schedule

ExportSchedule

Az exportálás ütemezési adataival rendelkezik.

properties.systemSuspensionContext

ExportSuspensionContext

Az exportálás felfüggesztésének oka, ha az exportálás SystemSuspended állapotban van. Ez jelenleg nincs feltöltve.

systemData

systemData

A createdBy és a modifiedBy adatokat tartalmazó Azure Resource Manager-metaadatok.

type

string

Az erőforrás típusa. Pl. "Microsoft.Compute/virtualMachines" vagy "Microsoft.Storage/storageAccounts"

ExportDataset

Az exportálásban lévő adatok definíciója.

Name Típus Description
configuration

ExportDatasetConfiguration

Az adatkészlet exportálási konfigurációja.

granularity

GranularityType

Az exportálás sorainak részletessége. Jelenleg a "Napi" a legtöbb esetben támogatott.

ExportDatasetConfiguration

Ez az elavulás útján halad, és a jövőben nem támogatott.

Name Típus Description
columns

string[]

Az exportálásban szerepeltetni kívánt oszlopnevek tömbje. Ha nincs megadva, az exportálás az összes elérhető oszlopot tartalmazza. Az elérhető oszlopok ügyfélcsatornánként eltérőek lehetnek (lásd a példákat).

dataVersion

string

Az exportáláshoz kijelölt adatverzió. Ha nincs megadva, az exportálás alapértelmezés szerint a legújabb adatverzióra lesz bekapcsolva.

filters

FilterItems[]

Az adatkészletekhez társított szűrők.

ExportDefinition

Az exportálás definíciója.

Name Típus Description
dataSet

ExportDataset

Az exportálásban lévő adatok definíciója.

timePeriod

ExportTimePeriod

Rendelkezik az exportáláshoz szükséges adatok lekérésének időtartamával.

timeframe

TimeframeType

Az exportáláshoz szükséges adatok lekérésének időkerete. Ha egyéni, akkor meg kell adni egy adott időtartamot.

type

ExportType

Az exportálás típusa. Vegye figyelembe, hogy a "Használat" egyenértékű az "ActualCost"-tal, és olyan exportálásokra vonatkozik, amelyek még nem szolgáltatnak adatokat a szolgáltatásfoglalások díjához vagy amortizálásához.

ExportDeliveryDestination

Ez azt a Blob Storage-fiókhelyet jelöli, ahol a költségek exportálása megtörténik. A célhely kétféleképpen konfigurálható. A legtöbb ügyfél számára ajánlott módszer a tárfiók erőforrás-azonosítójának megadása. Ehhez a fiók előfizetésének egyszeri regisztrációjára van szükség a Microsoft.CostManagementExports erőforrás-szolgáltatónál annak érdekében, hogy a Cost Management-szolgáltatások hozzáférjenek a tárterülethez. Amikor exportálást hoz létre az Azure Portalon, a regisztráció automatikusan megtörténik, de előfordulhat, hogy az API-felhasználóknak explicit módon kell regisztrálniuk az előfizetést (további információ: https://docs.microsoft.com/en-us/azure/azure-resource-manager/resource-manager-supported-services). A célhely konfigurálásának másik módja csak olyan Microsoft PartnerSzerződés-csomaggal rendelkező partnerek számára érhető el, akik a számlázási fiók globális rendszergazdái. Ezek a partnerek a tárfiók resourceId azonosítójának megadása helyett megadhatják a tárfiók nevét és egy SAS-jogkivonatot a fiókhoz. Ez lehetővé teszi a költségek exportálását bármely bérlő tárfiókjába. Az SAS-jogkivonatot létre kell hozni a blobszolgáltatáshoz szolgáltatás-/tároló-/objektum típusú erőforrástípusokkal, valamint olvasási/írási/törlési/listázási/hozzáadási/létrehozási engedélyekkel (további információ: https://docs.microsoft.com/en-us/azure/cost-management-billing/costs/export-cost-data-storage-account-sas-key).

Name Típus Description
container

string

Annak a tárolónak a neve, amelyben az exportálás fel lesz töltve. Ha a tároló nem létezik, létrejön.

resourceId

string

Annak a tárfióknak az erőforrás-azonosítója, ahol az exportálást kézbesítik. Ez nem szükséges, ha sasToken és storageAccount van megadva.

rootFolderPath

string

Annak a könyvtárnak a neve, amelyben az exportálás fel lesz töltve.

sasToken

string (password)

SAS-jogkivonat a tárfiókhoz. Korlátozott Azure-ügyfelek esetén ez a storageAccount-tal együtt a resourceId helyett megadható. Megjegyzés: a tulajdonság API által visszaadott értéke mindig el lesz rejtve. Ugyanannak az elhomályosított értéknek a visszaadása nem eredményezi az SAS-jogkivonat frissítését. Az érték frissítéséhez új SAS-jogkivonatot kell megadni.

storageAccount

string

A tárfiók, ahová az exportálás fel lesz töltve. Korlátozott Azure-ügyfelek esetén ez a sasTokennel együtt megadhatók resourceId helyett.

type

DestinationType

Az exportálási célhely típusa. Jelenleg csak az "AzureBlob" támogatott.

ExportDeliveryInfo

Az exportáláshoz társított szállítási információk.

Name Típus Description
destination

ExportDeliveryDestination

A kézbesítendő exportálás célhelye.

ExportExecutionListResult

Az exportálás futtatási előzményeinek felsorolása.

Name Típus Description
value

ExportRun[]

Az exportálási futtatások listája.

ExportRecurrencePeriod

Az ismétlődési ütemezés kezdő és záró dátuma.

Name Típus Description
from

string (date-time)

Az ismétlődés kezdő dátuma.

to

string (date-time)

Az ismétlődés záró dátuma.

ExportRun

Exportálási futtatás.

Name Típus Description
eTag

string

Az erőforrás eTagje. Az egyidejű frissítési forgatókönyv kezeléséhez ez a mező határozza meg, hogy a felhasználó frissíti-e a legújabb verziót.

id

string

Erőforrás-azonosító.

name

string

Erőforrás neve.

properties.endDate

string (date-time)

Az exportálás befejezési dátuma.

properties.error

ErrorDetails

A hibák részletei.

properties.executionType

ExecutionType

Az exportálási futtatás típusa.

properties.fileName

string

Az exportált fájl neve.

properties.manifestFile

string

Az exportált fájlok jegyzékfájljának helye (URI-helye).

properties.processingEndTime

string (date-time)

Az exportálási futtatás befejezésének időpontja.

properties.processingStartTime

string (date-time)

Az az idő, amikor az exportálást átvették a futtatásra.

properties.runSettings

CommonExportProperties

A futtatáshoz érvényben lévő exportálási beállítások.

properties.startDate

string (date-time)

Az exportálás kezdő dátuma.

properties.status

ExecutionStatus

Az exportálási futtatás utolsó ismert állapota.

properties.submittedBy

string

Az exportálást kiváltó entitás azonosítója. Igény szerinti futtatás esetén ez a felhasználói e-mail. Ütemezett futtatások esetén ez a "Rendszer".

properties.submittedTime

string (date-time)

Az exportálás várólistára helyezésének időpontja.

type

string

Erőforrás típusa.

ExportSchedule

Az exportáláshoz társított ütemezés.

Name Típus Description
recurrence

RecurrenceType

Az ütemezés ismétlődése.

recurrencePeriod

ExportRecurrencePeriod

Az ismétlődés kezdő és záró dátuma. A kezdési dátumnak a jövőben kell lennie. Ha van ilyen, a befejezési dátumnak nagyobbnak kell lennie, mint a kezdő dátum.

status

StatusType

Az exportálás ütemezésének állapota. Ha "Inaktív", az exportálás ütemezése fel van függesztve. Ha engedélyezni szeretné az exportálást, állítsa be az állapotot aktívra, majd küldjön PUT kérést.

ExportSuspensionContext

Az exportálási futtatás tulajdonságai. Ez jelenleg nincs feltöltve.

Name Típus Description
suspensionCode

string

Az exportálási felfüggesztés kódja.

suspensionReason

string

Az exportfelfüggesztés részletes oka.

suspensionTime

string (date-time)

Az exportálás felfüggesztésének időpontja.

ExportTimePeriod

Az exportálásban lévő adatok dátumtartománya. Ezt csak az "Egyéni" időkerettel kell megadni. A maximális dátumtartomány 1 naptári hónap.

Name Típus Description
from

string (date-time)

Az adatok exportálásának kezdő dátuma.

to

string (date-time)

Az adatok exportálásának záró dátuma.

ExportType

Az exportálás típusa. Vegye figyelembe, hogy a "Használat" egyenértékű az "ActualCost"-tal, és olyan exportálásokra vonatkozik, amelyek még nem szolgáltatnak adatokat a szolgáltatásfoglalások díjához vagy amortizálásához.

Érték Description
Usage
ActualCost
AmortizedCost
FocusCost
PriceSheet
ReservationTransactions
ReservationRecommendations
ReservationDetails

FilterItemNames

A szűrő neve. Ez jelenleg csak a ReservationRecommendations exportálásdefiníciós típusához támogatott. A támogatott nevek a következők: "ReservationScope", "LookBackPeriod", "ResourceType"

Érték Description
ReservationScope
ResourceType
LookBackPeriod

FilterItems

A szűrő nevét és értékét fogja tartalmazni. Ez jelenleg csak a ReservationRecommendations exportálásdefiníciós típusához támogatott.

Name Típus Description
name

FilterItemNames

A szűrő neve. Ez jelenleg csak a ReservationRecommendations exportálásdefiníciós típusához támogatott. A támogatott nevek a következők: "ReservationScope", "LookBackPeriod", "ResourceType"

value

string

Szűrendő érték. Jelenleg a név szerint támogatott értékek a "ReservationScope" támogatott értékei :Single", "Shared", for 'LookBackPeriod' (LookBackPeriod) támogatott értékek: "Last7Days", "Last30Days", "Last60Days" és "ResourceType" támogatott értékek :VirtualMachines", "SQLDatabases", "PostgreSQL", "ManagedDisk", "MySQL", "RedHat", "MariaDB", "RedisCache", "CosmosDB", "SqlDataWarehouse", "SUSELinux", "AppService", "BlockBlob", "AzureDataExplorer", "VMwareCloudSimple".

FormatType

A kézbesített exportálás formátuma.

Érték Description
Csv
Parquet

GranularityType

Az exportálás sorainak részletessége. Jelenleg a "Napi" a legtöbb esetben támogatott.

Érték Description
Daily
Monthly

RecurrenceType

Az ütemezés ismétlődése.

Érték Description
Daily
Weekly
Monthly
Annually

StatusType

Az exportálás ütemezésének állapota. Ha "Inaktív", az exportálás ütemezése fel van függesztve. Ha engedélyezni szeretné az exportálást, állítsa be az állapotot aktívra, majd küldjön PUT kérést.

Érték Description
Active
Inactive

SystemAssignedServiceIdentity

Felügyelt szolgáltatás identitása (vagy rendszer van hozzárendelve, vagy nincs)

Name Típus Description
principalId

string (uuid)

A rendszer által hozzárendelt identitás szolgáltatásnév-azonosítója. Ez a tulajdonság csak a rendszer által hozzárendelt identitáshoz lesz megadva.

tenantId

string (uuid)

A rendszer által hozzárendelt identitás bérlőazonosítója. Ez a tulajdonság csak a rendszer által hozzárendelt identitáshoz lesz megadva.

type

SystemAssignedServiceIdentityType

A felügyelt szolgáltatás identitásának típusa (vagy rendszer van hozzárendelve, vagy nincs).

SystemAssignedServiceIdentityType

A felügyelt szolgáltatás identitásának típusa (vagy rendszer van hozzárendelve, vagy nincs).

Érték Description
None
SystemAssigned

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

Name Típus Description
createdAt

string (date-time)

Az erőforrás-létrehozás időbélyege (UTC).

createdBy

string

Az erőforrást létrehozó identitás.

createdByType

createdByType

Az erőforrást létrehozó identitás típusa.

lastModifiedAt

string (date-time)

Az erőforrás utolsó módosításának időbélyege (UTC)

lastModifiedBy

string

Az erőforrást legutóbb módosító identitás.

lastModifiedByType

createdByType

Az erőforrást legutóbb módosító identitás típusa.

TimeframeType

Az exportáláshoz szükséges adatok lekérésének időkerete. Ha egyéni, akkor meg kell adni egy adott időtartamot.

Érték Description
MonthToDate
BillingMonthToDate
TheLastMonth
TheLastBillingMonth
WeekToDate
Custom
TheCurrentMonth